Bug 1537417 (CVE-2018-5089) - CVE-2018-5089 Mozilla: Memory safety bugs fixed in Firefox 58 and Firefox ESR 52.6 (MFSA 2018-03)
Summary: CVE-2018-5089 Mozilla: Memory safety bugs fixed in Firefox 58 and Firefox ESR...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-5089
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20180123,repor...
Depends On:
Blocks: 1534345
TreeView+ depends on / blocked
 
Reported: 2018-01-23 07:21 UTC by Doran Moppert
Modified: 2019-06-08 22:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-02 00:46:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0122 normal SHIPPED_LIVE Critical: firefox security update 2018-01-24 15:05:22 UTC
Red Hat Product Errata RHSA-2018:0262 normal SHIPPED_LIVE Important: thunderbird security update 2018-02-01 16:28:48 UTC

Description Doran Moppert 2018-01-23 07:21:02 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 57 and Firefox ESR 52.5. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-03/#CVE-2018-5089

Comment 1 Doran Moppert 2018-01-23 07:21:06 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Christian Holler, Jason Kratzer, Marcia Knous, Nathan Froyd, Oriol Brufau, Ronald Crane, Randell Jesup, Tyson Smith, Cobos Álvarez, Ryan VanderMeulen, Sebastian Hengst, Karl Tomlinson, Xidorn Quan, Ludovic Hirlimann, Jason Orendorff

Comment 2 errata-xmlrpc 2018-01-24 10:06:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2018:0122 https://access.redhat.com/errata/RHSA-2018:0122

Comment 3 errata-xmlrpc 2018-02-01 11:26:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2018:0262 https://access.redhat.com/errata/RHSA-2018:0262


Note You need to log in before you can comment on or make changes to this bug.